fn main() {
    let src_dir = std::path::Path::new("src");

    let mut c_config = cc::Build::new();
    c_config.std("c11").include(src_dir);

    #[cfg(target_env = "msvc")]
    c_config.flag("-utf-8");

    let parser_path = src_dir.join("parser.c");
    c_config.file(&parser_path);
    println!("cargo:rerun-if-changed={}", parser_path.to_str().unwrap());

    #[cfg(feature = "wasm")]
    tree_sitter_wasm_build_tool::add_wasm_headers(&mut c_config).unwrap();

    c_config.compile("tree-sitter-asm");
}
